Subject: Re: [openpgp] Algorithm-specific data: problems with Simple Octet Strings, and possible alternatives

From: NIIBE Yutaka <[email-masked]>
Date: Fri, 02 Apr 2021 12:20:41 +0900

Florian Weimer <[email-masked]> wrote:
> Let me note again that zero-stripping for MPIs affects RSA as well and
> makes OpenPGP inconsistent with its normative references.

I think that you mean "Algorithm-Specific Fields for RSA signatures"
in RFC 4880.

"RSA signature value m**d mod n" may be interpreted as "an integer
signature representative s" in "RSA signature" in RFC 3447 (now RFC
8017), I mean, the small "s" (instead of large S = I2OSP (s,k)).

It is a bit difficult interpretation (but not impossible).

Otherwise, I agree that it's inconsistent.
--